Subject: Re: bug#41719: 28.0.50; [FR] emacsclient should provide '--name' option as emacs

From: Po Lu <[email-masked]>
Date: Sun, 12 Jun 2022 17:11:35 +0800

Visuwesh <[email-masked]> writes:

> I created the frame like so,
>
>     (make-frame '((name . "vz/calendar-frame")
>                   ;; (minibuffer . nil)
>                   (vertical-scroll-bars . nil)
>                   (font . "monospace-16")))

That's probably the wrong thing to do.  The instance name of the Emacs
session is `x-resource-name', not "vz/calendar-name".

> Probably because I noticed the `name' parameter first in `(elisp) Frame
> Parameters'.

I guess that part of the manual needs rewriting to warn against setting
the `name' parameter while creating a frame.